org.eclipse.viatra.transformation.debug.communication

## Interface IDebuggerTargetAgent

- All Known Implementing Classes:
    DebuggerTargetEndpoint

      public interface IDebuggerTargetAgent

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activationFired(Activation<?> activation)`
    `void` | `activationFiring(Activation<?> activation)`
    `void` | `addedRule(RuleSpecification<?> specification, EventFilter<?> filter)`
    `void` | `breakpointHit(ITransformationBreakpointHandler breakpoint)`
    `void` | `conflictSetChanged(java.util.Set<Activation<?>> nextActivations, java.util.Set<Activation<?>> conflictingActivations)`
    `void` | `nextActivationChanged(Activation<?> activation)`
    `void` | `removedRule(RuleSpecification<?> specification, EventFilter<?> filter)`
    `void` | `suspended()`
    `void` | `terminated()`

- - ### Method Detail

    - #### suspended

          void suspended()

    - #### breakpointHit

          void breakpointHit(ITransformationBreakpointHandler breakpoint)

    - #### terminated

          void terminated()
                   throws ViatraDebuggerException

      Throws:
        `ViatraDebuggerException`

    - #### conflictSetChanged

          void conflictSetChanged(java.util.Set<Activation<?>> nextActivations,
                                  java.util.Set<Activation<?>> conflictingActivations)

    - #### activationFired

          void activationFired(Activation<?> activation)

    - #### activationFiring

          void activationFiring(Activation<?> activation)

    - #### nextActivationChanged

          void nextActivationChanged(Activation<?> activation)

    - #### addedRule

          void addedRule(RuleSpecification<?> specification,
                         EventFilter<?> filter)

    - #### removedRule

          void removedRule(RuleSpecification<?> specification,
                           EventFilter<?> filter)